# Interface Timer

#### Hierarchy

- RefCounted
  - Timer
    - Timeout

- Defined in node_modules/@types/node/timers.d.ts:35

#####
Index

### Methods

[toPrimitive]
hasRef
ref
refresh
unref

## Methods

### [toPrimitive]

- [toPrimitive](): number

- #### Returns number

  - Defined in node_modules/@types/node/timers.d.ts:38

### hasRef

- hasRef(): boolean

- #### Returns boolean

  - Defined in node_modules/@types/node/timers.d.ts:36

### ref

- ref(): Timer

- #### Returns Timer

  Inherited from RefCounted.ref

  - Defined in node_modules/@types/node/globals.d.ts:255

### refresh

- refresh(): Timer

- #### Returns Timer

  - Defined in node_modules/@types/node/timers.d.ts:37

### unref

- unref(): Timer

- #### Returns Timer

  Inherited from RefCounted.unref

  - Defined in node_modules/@types/node/globals.d.ts:256

Generated using TypeDoc